Name:		abiword
Summary:	Lean and fast full-featured word processor
Version:	3.0.0
Release:	%mkrel 4
Group:		Office/Word processor
URL:		http://www.abisource.com/
License:	GPLv2+
Source0:	http://www.abisource.com/downloads/abiword/%{version}/source/%{name}-%{version}.tar.gz
Patch0:		abiword-2.9.3-eds-3.6.patch
BuildRequires:	bison
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(aiksaurus-1.0)
BuildRequires:	pkgconfig(cairo-pdf)
BuildRequires:	pkgconfig(cairo-ps)
BuildRequires:	pkgconfig(champlain-gtk-0.12)
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.70
BuildRequires:	pkgconfig(enchant) >= 1.2.0
BuildRequires:	pkgconfig(fribidi) >= 0.10.4
BuildRequires:	pkgconfig(gaiksaurus-1.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.0
BuildRequires:	pkgconfig(gthread-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.8
BuildRequires:	pkgconfig(gtk+-unix-print-3.0)
BuildRequires:	pkgconfig(libebook-1.2)
BuildRequires:	pkgconfig(libecal-1.2)
BuildRequires:	pkgconfig(libgoffice-0.10)
BuildRequires:	pkgconfig(libgsf-1) >= 1.14.4
BuildRequires:	pkgconfig(libical) >= 0.46
BuildRequires:	pkgconfig(libots-1) >= 0.5.0
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.16.0
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libwpd-0.9) >= 0.9.0
BuildRequires:	pkgconfig(libwpd-stream-0.9) >= 0.9.0
BuildRequires:	pkgconfig(libwpg-0.2) >= 0.2.0
BuildRequires:	pkgconfig(libwps-0.2) >= 0.1.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.0
BuildRequires:	pkgconfig(link-grammar) >= 4.2.1
BuildRequires:	pkgconfig(loudmouth-1.0) >= 1.3.2
BuildRequires:	pkgconfig(mathview-frontend-libxml2) >= 0.7.5
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(rasqal) >= 0.9.17
BuildRequires:	pkgconfig(redland) >= 1.0.10
BuildRequires:	pkgconfig(telepathy-glib) >= 0.14.5
BuildRequires:	pkgconfig(wv-1.0) >= 1.2.0
BuildRequires:	asio
BuildRequires:	boost-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpsiconv-devel
BuildRequires:	libwmf-devel
BuildRequires:	gnome-common
BuildRequires:	python-devel
BuildRequires:	python-gi
BuildRequires:	python-setuptools

Obsoletes:	abiword-plugin-abicollab < 2.7.2
Obsoletes:	abiword-plugin-abicommand < 2.7.2
Obsoletes:	abiword-plugin-abigimp < 2.7.2
Obsoletes:	abiword-plugin-abigoffice < 2.7.2
Obsoletes:	abiword-plugin-abigrammar < 2.7.2
Obsoletes:	abiword-plugin-abimathview < 2.7.2
Obsoletes:	abiword-plugin-abipsion < 2.7.2
Obsoletes:	abiword-plugin-aiksaurus < 2.7.2
Obsoletes:	abiword-plugin-babelfish < 2.7.2
Obsoletes:	abiword-plugin-freetranslation < 2.7.2
Obsoletes:	abiword-plugin-google < 2.7.2
Obsoletes:	abiword-plugin-graphics < 2.7.2
Obsoletes:	abiword-plugin-impexp < 2.7.2
Obsoletes:	abiword-plugin-ots < 2.7.2
Obsoletes:	abiword-plugin-shell < 2.7.2
Obsoletes:	abiword-plugin-urldict < 2.7.2
Obsoletes:	abiword-plugin-wikipedia < 2.7.2
Obsoletes:	abiword-plugin-gdict < 2.7.2
Obsoletes:	%{_lib}abiword < 2.7.2

Suggests:	abiword-doc

%description
AbiWord is a cross-platform, open source, lean and fast full-featured word
processor. It works on Most Unix systems, Microsoft Windows and Mac OS X.

Abiword with the GNOME front-end is part of the GNOME Office Suite. 
See http://www.gnomeoffice.org for details.

%package devel
Summary:	Devel files for Abiword
Group:		Development/Other
Requires:	%{name} = %{version}

%description devel
This pacakage contains devel files for Abiword, mainly header files
and pkg files.

%package -n python-%{name}
Summary:	Python bindings for libabiword
Requires:	%{name} = %{version}
Requires:	python-gi

%description -n python-%{name}
This package installs Python bindings for libabiword.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%define Werror_cflags %nil
# find plugins Makefile templates
find plugins -name Makefile.am | sed  's|.am$||g' > plugin-makefiles.m4

# create plugin list
(cd ./plugins && find . -maxdepth 1 -type d | grep -v '^\.$' | grep -v '\./\.' | sed 's|\./||g' | xargs echo) > plugin-list.m4

# create conditionals for builtin plugins
(for plugin in `cat plugin-list.m4`; do
	u=`echo $plugin | tr '[:lower:]' '[:upper:]'`
	echo 'AM_CONDITIONAL(['$u'_BUILTIN], test "$enable_'$plugin'_builtin" = "yes")'
done) > plugin-builtin.m4

# find extra m4 files provided by plugins and symlink them
for f in ` find ./plugins -name '*.m4' | grep -v 'plugin\.m4'`; do
    ln -sf $f
done

autoreconf -fi
%configure2_5x --disable-static --enable-plugins --enable-clipart --enable-templates --enable-introspection
make

%install
%makeinstall_std

find %buildroot -name *.la|xargs rm

desktop-file-install --vendor="" \
	--remove-category="X-Red-Hat-Base" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/%name.desktop

%files
%{_bindir}/abiword
%{_datadir}/abiword*
%{_libdir}/libabiword*.so
%{_libdir}/girepository-1.0/Abi-*.typelib
%{_libdir}/abiword-*
%{_mandir}/man1/abiword.1.*
%{_iconsdir}/*/*/*/*
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/clients/AbiCollab.client

%files devel
%{_includedir}/*
%{_datadir}/gir-1.0/Abi-*.gir
%{_libdir}/pkgconfig/*.pc

%files -n python-%{name}
%{python_sitearch}/gi/overrides/Abi.*


%changelog
* Sat Nov 02 2013 fwang <fwang> 3.0.0-4.mga4
+ Revision: 548950
- add requires on python-gi

* Tue Oct 22 2013 umeabot <umeabot> 3.0.0-3.mga4
+ Revision: 542053
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 fwang <fwang> 3.0.0-2.mga4
+ Revision: 506359
- update file list
- update file list
- add more br
- update file list
- update asio
- build more collab backend

* Mon Oct 14 2013 fwang <fwang> 3.0.0-1.mga4
+ Revision: 496779
- new version 3.0.0

* Mon Jul 08 2013 fwang <fwang> 2.9.4-7.mga4
+ Revision: 451176
- rebuild for new boost

* Mon Jun 03 2013 fwang <fwang> 2.9.4-6.mga4
+ Revision: 435529
- rebuild for new libpng

* Sun Jun 02 2013 fwang <fwang> 2.9.4-5.mga4
+ Revision: 434352
- rebuild for new ical

* Fri Jan 11 2013 umeabot <umeabot> 2.9.4-4.mga3
+ Revision: 345193
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 barjac <barjac> 2.9.4-3.mga3
+ Revision: 344907
- rebuild for group update
- tidy tabs/spaces

* Fri Dec 14 2012 fwang <fwang> 2.9.4-2.mga3
+ Revision: 330696
- update file list
- fix gir build dep
- enable  gir

* Wed Nov 28 2012 fwang <fwang> 2.9.4-1.mga3
+ Revision: 322546
- new version 2.9.4

* Thu Oct 11 2012 fwang <fwang> 2.9.3-4.mga3
+ Revision: 304568
- drop support on goffice, as it does not build
- update rpm group
- rebuild for new toolchain

* Thu Jul 26 2012 fwang <fwang> 2.9.3-3.mga3
+ Revision: 274458
- build with eds 3.6
- rebuild for new evo

* Tue Jun 26 2012 fwang <fwang> 2.9.3-2.mga3
+ Revision: 263881
- br champlain

* Tue Jun 26 2012 fwang <fwang> 2.9.3-1.mga3
+ Revision: 263870
- update file list
- new version 2.9.3

* Sun Feb 12 2012 ovitters <ovitters> 2.9.2-5.mga2
+ Revision: 208029
- clean spec
- consistant tab usage
- add meta information to patches

* Mon Jan 30 2012 fwang <fwang> 2.9.2-4.mga2
+ Revision: 203443
- more needed patch
- more linker fix from fedora

* Mon Jan 30 2012 fwang <fwang> 2.9.2-3.mga2
+ Revision: 203430
- revised patch on linking
- cairo-fc acturally

* Mon Jan 30 2012 fwang <fwang> 2.9.2-2.mga2
+ Revision: 203406
- add req on fontconfig
- try to fix linking libs due to unknown error introduced by gmodule
- use upstream autogen
- use gnome-autogen
- br rasqal
- use autoreconf
- drop goffice versioned req as it is too high now
- add br for mathview

* Fri Nov 25 2011 fwang <fwang> 2.9.2-1.mga2
+ Revision: 171856
- drop req on mathview, it is gtk2 based
- disable telepathy backend
- fix linkage again
- cleanup br
- fix linkage
- br evo
- fix libpng15 usage
- add more req
- more glib fix
- fix build with latest glib
- add more br
- update goffice
- drop invalid req
- more br
- drop merged patches
- new version 2.9.2

* Tue Sep 20 2011 fwang <fwang> 2.8.6-5.mga2
+ Revision: 145936
- more patch for libpng1.5
- more patch for libpng 1.5
- fix linkage
- more patch
- fix patch
- fix build with libpng1.5
- use configure2_5x
- rebuild for new libpng

* Sat Sep 10 2011 fwang <fwang> 2.8.6-4.mga2
+ Revision: 142006
- rebuid for new wv
- rebuild for new gnutls

* Fri Mar 25 2011 philippem <philippem> 2.8.6-2.mga1
+ Revision: 77369
- change BR libwpd-devel
- add libwpd.patch
- cleaning for Mageia

  + ennael <ennael>
    - imported package abiword

